package com.ruoyi.asset.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产调整对象 tb_asset_adjustment
 * 
 * @author yuandongli
 * @date 2023-05-15
 */
public class TbAssetAdjustment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String assetNumber;

    /** 资产原信息，以JSON字符串格式存入提取 */
    @Excel(name = "资产原信息，以JSON字符串格式存入提取")
    private String originalAssetInfo;

    /** 调整原因 */
    @Excel(name = "调整原因")
    private String reason;

    /** 调整单号 */
    @Excel(name = "调整单号")
    private String orderNumber;

    /** 制单人 */
    @Excel(name = "制单人")
    private String preparedBy;

    /** 制单部门 */
    @Excel(name = "制单部门")
    private String preparedDepartment;

    /** 记录状态，0：未提交，1：已提交 */
    @Excel(name = "记录状态，0：未提交，1：已提交")
    private Long recordStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAssetNumber(String assetNumber) 
    {
        this.assetNumber = assetNumber;
    }

    public String getAssetNumber() 
    {
        return assetNumber;
    }
    public void setOriginalAssetInfo(String originalAssetInfo) 
    {
        this.originalAssetInfo = originalAssetInfo;
    }

    public String getOriginalAssetInfo() 
    {
        return originalAssetInfo;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }
    public void setOrderNumber(String orderNumber) 
    {
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() 
    {
        return orderNumber;
    }
    public void setPreparedBy(String preparedBy) 
    {
        this.preparedBy = preparedBy;
    }

    public String getPreparedBy() 
    {
        return preparedBy;
    }
    public void setPreparedDepartment(String preparedDepartment) 
    {
        this.preparedDepartment = preparedDepartment;
    }

    public String getPreparedDepartment() 
    {
        return preparedDepartment;
    }
    public void setRecordStatus(Long recordStatus) 
    {
        this.recordStatus = recordStatus;
    }

    public Long getRecordStatus() 
    {
        return recordStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("assetNumber", getAssetNumber())
            .append("originalAssetInfo", getOriginalAssetInfo())
            .append("reason", getReason())
            .append("orderNumber", getOrderNumber())
            .append("preparedBy", getPreparedBy())
            .append("preparedDepartment", getPreparedDepartment())
            .append("recordStatus", getRecordStatus())
            .toString();
    }
}
